/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Melisande\Quest\Conversations.cs
Lines of code: 71
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Engines.Quests.FrightenedDryad
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You seem preoccupied with another quest at the moment, please return when you are done!";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{
				
				return 1074435;
				/*
				Please, I'm so frightened.  I don't want to become twisted and corrupt.  Please free me!
				*/
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
		System.AddObjective( new KillDryads() );
		}
	}

	
	
	
	public class NotDoneConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return 1074436;
				/*
				Until my sisters have been treated with mercy and released from their twisted existence
				and until the vile Saliva is slain, I cannot feel safe or bestow my blessing.
				*/
			}
		}

		public NotDoneConversation()
		{
		}

		public override void OnRead()
		{
		}
	}	
	
	
	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return 1074437;
				/*
				Oh!  You've returned.  I cannot thank you enough for saving me.
				I only hope Melisande doesn't return them to life once more.  Bless you, fair adventurer. Bless you. 
				If you wish to face Melisande in battle, place the token of my blessing in the basket. 
				May you be triumphant and redeem us all through your efforts.
				*/
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
		FrightenedDryadQuest.GiveRewardTo( System.From);
		}
	}		
	


}